Bug 619553 - [abrt] crash in subdownloader-2.0.10-1.fc13: SDService.py:683:_NoOperation:KeyError: 'seconds'
[abrt] crash in subdownloader-2.0.10-1.fc13: SDService.py:683:_NoOperation:Ke...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: subdownloader (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
abrt_hash:e4a257a3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 15:49 EDT by rajath
Modified: 2010-09-23 11:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 11:14:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (708 bytes, text/plain)
2010-07-29 15:49 EDT, rajath
no flags Details

  None (edit)
Description rajath 2010-07-29 15:49:32 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/subdownloader
component: subdownloader
executable: /usr/bin/subdownloader
kernel: 2.6.33.3-85.fc13.x86_64
package: subdownloader-2.0.10-1.fc13
reason: SDService.py:683:_NoOperation:KeyError: 'seconds'
release: Fedora release 13 (Goddard)

backtrace
-----
SDService.py:683:_NoOperation:KeyError: 'seconds'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/subdownloader/modules/SDService.py", line 671, in NoOperation
    return NoOperation()
  File "/usr/lib/python2.6/site-packages/subdownloader/modules/SDService.py", line 52, in __call__
    result = self.function(*args)
  File "/usr/lib/python2.6/site-packages/subdownloader/modules/SDService.py", line 683, in _NoOperation
    self.log.debug("NoOperation finished in %s with status %s."% (info['seconds'], info['status']))
KeyError: 'seconds'

Local variables in innermost frame:
info: {'status': '503 Service Unavailable'}
self: <modules.SDService.SDService object at 0x1842750>
Comment 1 rajath 2010-07-29 15:49:34 EDT
Created attachment 435381 [details]
File: backtrace
Comment 2 Fedora Update System 2010-09-03 17:26:08 EDT
subdownloader-2.0.13-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/subdownloader-2.0.13-1.fc14
Comment 3 Fedora Update System 2010-09-03 17:26:37 EDT
subdownloader-2.0.13-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/subdownloader-2.0.13-1.fc12
Comment 4 Fedora Update System 2010-09-03 17:27:04 EDT
subdownloader-2.0.13-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/subdownloader-2.0.13-1.fc13
Comment 5 Jan Klepek 2010-09-03 17:32:12 EDT
please try version available in testing repository and let me know in cases that this version does NOT fix your issue. Otherwise I will consider this as solved.
Comment 6 Fedora Update System 2010-09-14 00:56:14 EDT
subdownloader-2.0.13-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-09-15 01:24:18 EDT
subdownloader-2.0.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-09-15 01:26:11 EDT
subdownloader-2.0.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Jan Klepek 2010-09-23 11:14:47 EDT
fixed in latest version, if problem persists, reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.